VMware patcht ernstige kwetsbaarheid in Cloud Foundation

vmware overname broadcom

Een ernstige kwetsbaarheid treft VMware Cloud Foundation en NSX Manager. Een patch is beschikbaar maar exploit-code ook, dus wacht niet met updaten.

Vorige week lanceerde VMware een patch voor kwetsbaarheid CVE-2021-39144. Dat is een kritieke bug met een score van 9,8. Het lek zit in de XStream opensource-bibliotheek die zowel Cloud Foundation als NSX Manager gebruiken. Hackers kunnen de kwetsbaarheid misbruiken om zonder authenticatie malafide code te draaien als root-gebruiker.

Cloud Foundation versie 3.11 en lager is getroffen. Versies van af 4.x lopen geen risico. Omdat het risico zo groot is, heeft VMware ook patches uitgebracht voor NSX-V-toestellen die officieel niet meer ondersteund worden.

Exploit beschikbaar

De kwetsbaarheid werd ontdekt door Sina Kheirkhah en Steven Seeley van Source Incite. Gelijktijdig met de patch van VMware lieten zij een voorbeeld van exploitcode op de wereld los. Doorgaans duurt het vanaf dit moment slechts enkele dagen alvorens de eerste hacker succesvol aan de slag gaan met de bug.

Iedereen die toestellen met de getroffen software gebruikt, moet meteen patchen. Lukt dat niet, dan is het belangrijk om minstens de workaround te implementeren. VMware heeft een hulppagina waarop alle details terug te vinden zijn.

nieuwsbrief

Abonneer je gratis op ITdaily !
  • This field is for validation purposes and should be left unchanged.
terug naar home